using System.Diagnostics.Eventing.Reader;

namespace _2024._06._03
{
    public partial class Form1 : Form
    {
        List<string> list = new List<string>();
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            StreamReader sr = new StreamReader("szeptember.csv");
            string line = sr.ReadLine();

            while (line != null)
            {
                list.Add(line);
                line = sr.ReadLine();
            }

            sr.Close();

            foreach (var i in list)
            {
                string[] currentLine = i.Split(";");
                ListBox.Items.Add($"{currentLine[0]}        {currentLine[1]}        {currentLine[2]}        {currentLine[3]}        {currentLine[4]}");
            }
        }

        private void DoneButton_Click(object sender, EventArgs e)
        {
            if (NameTextBox.Text.Equals("") || ClassTextBox.Text.Equals("") || FirstDayTextBox.Text.Equals("") || LastDayTextBox.Text.Equals("") || MissedLessonTextBox.Text.Equals(""))
            {
                MessageBox.Show("Minden mezőt ki kell tölteni");
            }

            try
            {
                int firstDay = Convert.ToInt32(FirstDayTextBox.Text);
                int lastDay = Convert.ToInt32(LastDayTextBox.Text);
                int missedLesson = Convert.ToInt32(MissedLessonTextBox.Text);

                if (firstDay > 30 || lastDay > 30)
                {
                    MessageBox.Show("Hibás adat! Csak 1 és 30 közötti érték lehet");
                }

                else if (firstDay > lastDay)
                {
                    MessageBox.Show("Az utolsó nap nagyobb legyen, mint az első nap");
                }

                else
                {
                    using (StreamWriter sw = File.AppendText("szeptember.csv"))
                    {
                        sw.WriteLine($"{NameTextBox.Text};{ClassTextBox.Text};{firstDay};{lastDay};{missedLesson}");
                    }

                    MessageBox.Show("Az állomány bővítése sikeres volt!", "üzenet");
                }
            }

            catch
            {
                MessageBox.Show("Nem számot adtál meg");
            }

            
        }
    }
}